Bug 1022411 - Show correct error for unknown task in "bkr task-details"
Show correct error for unknown task in "bkr task-details"
Status: CLOSED CURRENTRELEASE
Product: Beaker
Classification: Community
Component: command line (Show other bugs)
develop
Unspecified Unspecified
low Severity low (vote)
: 0.17
: ---
Assigned To: Amit Saha
tools-bugs
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-10-23 04:48 EDT by xjia
Modified: 2018-02-05 19:41 EST (History)
9 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-06-10 19:28:21 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description xjia 2013-10-23 04:48:53 EDT
Description of problem:

1. Usage message
[root@jasontest ~]# bkr task-details -h
Usage: bkr task-details [options] ...

It should be the same with the output "man bkr-task-details".
Usage: bkr task-details [options] <task>...

2. Using wrong task, it will show "No row was found for one()"
I'd rather it show "Can't find the task " or something else.

Version-Release number of selected component (if applicable):
beaker-client-0.15.1-1.git.25.da503f4.el6eng.noarch

How reproducible:
100%

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 2 Nick Coghlan 2013-10-25 01:52:05 EDT
Restricting this to just providing a better error message when the task is missing. The differences between the short command line help text and the full man page for Beaker client commands is generally deliberate.
Comment 3 Amit Saha 2014-05-05 03:49:55 EDT
As per comment 2 : http://gerrit.beaker-project.org/#/c/3061/
Comment 6 Dan Callaghan 2014-06-02 00:40:00 EDT
This bug fix has been applied to the release-0.16 branch, however we have elected not to do another maintenance release of the 0.16.x series. This fix will be included in 0.17.0 instead.
Comment 7 Dan Callaghan 2014-06-10 19:28:21 EDT
Beaker 0.17.0 has been released.

Note You need to log in before you can comment on or make changes to this bug.